(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('ga-to-button', ['exports', '@angular/core', '@angular/common'], factory) :
    (global = global || self, factory(global['ga-to-button'] = {}, global.ng.core, global.ng.common));
}(this, (function (exports, core, common) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonService = /** @class */ (function () {
        function ButtonService() {
        }
        ButtonService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        ButtonService.ctorParameters = function () { return []; };
        /** @nocollapse */ ButtonService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function ButtonService_Factory() { return new ButtonService(); }, token: ButtonService, providedIn: "root" });
        return ButtonService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // [disabled]="loading"
    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent() {
            this.texto = '';
            this.icon = '';
            this.disabled = false;
            this.width = 0;
            this.loading = false;
            this.accion = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        ButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            if (this.width > 0) {
                this.AgregarWidth();
            }
        };
        /**
         * @return {?}
         */
        ButtonComponent.prototype.Click = /**
         * @return {?}
         */
        function () {
            this.loading = true;
            $('#button').addClass('disabled');
            this.accion.emit();
        };
        /**
         * @return {?}
         */
        ButtonComponent.prototype.Finalizo = /**
         * @return {?}
         */
        function () {
            this.loading = false;
            $('#button').removeClass('disabled');
        };
        /**
         * @return {?}
         */
        ButtonComponent.prototype.AgregarWidth = /**
         * @return {?}
         */
        function () {
            $('#button').css('min-width', this.width);
        };
        ButtonComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ga-to-button',
                        template: "\n  <button (click)=\"Click()\" #button id=\"button\" class=\"cssButton\" [disabled]=\"loading || disabled\"\n    [ngClass]=\"{'disabled': loading || disabled}\">\n    <div class='text'>\n      <div *ngIf=\"loading\" [ngClass]=\"{'button-indicator': texto.length > 0}\">\n        <i class=\"fas fa-sync-alt fa-pulse\"></i>\n      </div>\n      <div *ngIf=\"!loading && icon.length > 0\" [ngClass]=\"{'button-indicator': texto.length > 0}\">\n        <i [class]=\"icon\"></i>\n      </div>\n      <span>{{texto}}</span>\n    </div>\n  </button>\n  ",
                        styles: [".cssButton{display:block;padding:5px 12px 8px;width:-webkit-max-content;width:-moz-max-content;width:max-content;box-sizing:border-box;font-weight:400;font-size:14px;font-family:'Helvetica Neue','Segoe UI',Helvetica,Verdana,sans-serif;cursor:pointer;background-color:transparent;color:#2d6da3;border-radius:4px;line-height:1.35715;border:1px solid #2d6da3}.cssButton:hover{background-color:rgba(45,109,163,.1)}.cssButton.disabled:hover{background-color:transparent}.cssButton .text{text-align:center;padding:1px 6px}.button-indicator{float:left;margin-right:5px;position:relative;padding:0}.disabled{opacity:.5;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;zoom:1;cursor:default}"]
                    }] }
        ];
        /** @nocollapse */
        ButtonComponent.ctorParameters = function () { return []; };
        ButtonComponent.propDecorators = {
            texto: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            width: [{ type: core.Input }],
            accion: [{ type: core.Output }]
        };
        return ButtonComponent;
    }());
    if (false) {
        /** @type {?} */
        ButtonComponent.prototype.texto;
        /** @type {?} */
        ButtonComponent.prototype.icon;
        /** @type {?} */
        ButtonComponent.prototype.disabled;
        /** @type {?} */
        ButtonComponent.prototype.width;
        /** @type {?} */
        ButtonComponent.prototype.loading;
        /** @type {?} */
        ButtonComponent.prototype.accion;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonModule = /** @class */ (function () {
        function ButtonModule() {
        }
        ButtonModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [ButtonComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [ButtonComponent]
                    },] }
        ];
        return ButtonModule;
    }());

    exports.ButtonComponent = ButtonComponent;
    exports.ButtonModule = ButtonModule;
    exports.ButtonService = ButtonService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ga-to-button.umd.js.map
